Jump to content
Sign in to follow this  
jwhicks54

KIDA not compatible with Xplane 11 on Mac/ OS

Recommended Posts

I just purchased KIDA for Plane 11, only to discover that it cannot be installed in xplane 11 on a Mac. I did not see any mention of this restriction in your product description. Please advise on either a refund or provide a timeline for a Mac installer.

 

thanks

Share this post


Link to post
Share on other sites

Hi guys,

 

We're working on a quick solution to this which we'll have to you shortly. I'll update you here as soon as it's done.

 

Sorry for the inconvenience!

 

Thanks,

Russ

Share this post


Link to post
Share on other sites

Hi guys,

 

Our apologies for the confusion here.

 

If you now click on My Account from the front page and go to either Downloads or Orders, you'll see that there is now a Windows and Mac version available.

 

The Mac version does not have an executable installer (yet). Please follow these instructions to complete the install:

 

- Download the linked zip file

- Unzip to a temporary folder of your choice

- Close X-Plane 11 if it is running

- Copy the entire folder ‘Turbulent - KIDA_IdahoFalls’ into your ‘\X-Plane 11\Custom Scenery’ folder

- Restart X-Plane 11

 

You'll find full PDF documentation in the \Documentation folder. Note that this refers to our Turbulent Terminal product which is not compatible with Mac and not required for KIDA to operate correctly.

 

Again, please accept our apologies for the mix-up, hopefully this will get you up and running quickly.

 

Cheers,

 

Greg

Technical Director

 

Share this post


Link to post
Share on other sites

I followed the outlined procedure and it worked fine. MacOS High Sierra 10.13.2 Xp11.11.

See: https://xsimreviews.org/2017/12/20/xsr-kida-b2b-6b6/ for images.

 

One issue I HAVE had does not concern Turbulent, but iCloud. iCloud is sucking up downloads as fast as they come aboard, and when Xp tries to access them they're gone. Out of Xp, get files out of the Cloud, reopen Xp. Seriously bad news.

Share this post


Link to post
Share on other sites

 

 

<I followed the outlined procedure and it worked fine. MacOS High Sierra 10.13.2 Xp11.11.>

 

Still not working for me, no Mac installer

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

×

Important Information

By using this site, you agree to our Terms of Use.